"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = void 0;
var _react = require("react");
var _EvenRegister = _interopRequireDefault(require("./EvenRegister"));
var _functions = require("../functions");
function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }
const NestedModal = props => {
  const myModalIdRef = (0, _react.useRef)((0, _functions.generateId)()).current;
  (0, _react.useEffect)(() => {
    return () => {
      _EvenRegister.default.emit('close-nested-modal', {
        id: myModalIdRef
      });
    };
  }, []);
  (0, _react.useEffect)(() => {
    if (props.visible) {
      _EvenRegister.default.emit('open-nested-modal', {
        id: myModalIdRef,
        ...props
      });
    } else {
      _EvenRegister.default.emit('close-nested-modal', {
        id: myModalIdRef
      });
    }
  }, [props.visible]);
  (0, _react.useEffect)(() => {
    if (props.updateKey) {
      _refreshModalContent();
    }
  }, [props.updateKey]);
  (0, _react.useEffect)(() => {
    _refreshModalContent();
  }, [props.extraData]);
  const _refreshModalContent = () => {
    _EvenRegister.default.emit('update-nested-modal', {
      id: myModalIdRef,
      ...props
    });
  };
  return null;
};
var _default = NestedModal;
exports.default = _default;
//# sourceMappingURL=NestedModal.js.map