"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getAutoTransformWidth = exports.getAutoTransformModalType = exports.generateId = void 0;
const generateId = () => {
  return `${Date.now().valueOf()}_${Math.random()}`;
};
exports.generateId = generateId;
const DEFAULT_BREAK_POINT = 650;
const getAutoTransformModalType = (autoTransform, modalType, width, breakPoint) => {
  const _breakPoint = breakPoint == undefined ? DEFAULT_BREAK_POINT : breakPoint;
  return !!autoTransform && width > _breakPoint ? 'fade' : modalType;
};
exports.getAutoTransformModalType = getAutoTransformModalType;
const getAutoTransformWidth = (width, breakPoint) => {
  const _breakPoint = breakPoint == undefined ? DEFAULT_BREAK_POINT : breakPoint;
  return width > _breakPoint * 1.1 ? _breakPoint : width * 0.9;
};
exports.getAutoTransformWidth = getAutoTransformWidth;
//# sourceMappingURL=functions.js.map